package de.intevation.flys.artifacts.model;

public interface FacetTypes {

    public class IS {
        public static boolean WQ_KM(String type) {
           return type.equals(DISCHARGE_LONGITUDINAL_W)
               || type.equals(LONGITUDINAL_W);
        }
        public static boolean W_KM(String type) {
            return type.equals(STATIC_WKMS)
               || type.equals(HEIGHTMARKS_POINTS)
               || WQ_KM(type);
        }
        public static boolean AREA(String type) {
            return type.equals(AREA)
                || type.equals(CROSS_SECTION_AREA)
                || type.equals(LONGITUDINAL_SECTION_AREA);
        }
        public static boolean W(String type) {
            return type.equals(LONGITUDINAL_W)
                || type.equals(DISCHARGE_LONGITUDINAL_W)
                || type.equals(DURATION_W)
                || type.equals(STATIC_WKMS)
                || type.equals(STATIC_WQKMS_W);
        }
        public static boolean Q(String type) {
            return type.equals(LONGITUDINAL_Q)
                || type.equals(DISCHARGE_LONGITUDINAL_Q)
                || type.equals(DURATION_Q)
                || type.equals(STATIC_WQKMS_Q);
        }
    };

    String AREA                   = "area";
    String CROSS_SECTION_AREA     = "cross_section.area";
    String LONGITUDINAL_SECTION_AREA = "longitudinal_section.area";

    String FLOODMAP_WSPLGEN       = "floodmap.wsplgen";
    String FLOODMAP_BARRIERS      = "floodmap.barriers";
    String FLOODMAP_RIVERAXIS     = "floodmap.riveraxis";
    String FLOODMAP_WMSBACKGROUND = "floodmap.wmsbackground";
    String FLOODMAP_KMS           = "floodmap.kms";
    String FLOODMAP_QPS           = "floodmap.qps";
    String FLOODMAP_HWS           = "floodmap.hws";
    String FLOODMAP_CATCHMENT     = "floodmap.catchment";
    String FLOODMAP_FLOODPLAIN    = "floodmap.floodplain";
    String FLOODMAP_LINES         = "floodmap.lines";
    String FLOODMAP_BUILDINGS     = "floodmap.buildings";
    String FLOODMAP_FIXPOINTS     = "floodmap.fixpoints";
    String FLOODMAP_EXTERNAL_WMS  = "floodmap.externalwms";

    String DISCHARGE_LONGITUDINAL_W = "discharge_longitudinal_section.w";
    String DISCHARGE_LONGITUDINAL_Q = "discharge_longitudinal_section.q";
    String DISCHARGE_LONGITUDINAL_C = "discharge_longitudinal_section.c";

    String LONGITUDINAL_W = "longitudinal_section.w";
    String LONGITUDINAL_Q = "longitudinal_section.q";
    String LONGITUDINAL_ANNOTATION = "longitudinal_section.annotations";

    String W_DIFFERENCES = "w_differences";

    String COMPUTED_DISCHARGE_Q = "computed_discharge_curve.q";
    String COMPUTED_DISCHARGE_MAINVALUES_Q = "computed_discharge_curve.mainvalues.q";
    String COMPUTED_DISCHARGE_MAINVALUES_W = "computed_discharge_curve.mainvalues.w";

    String MAINVALUES_Q = "mainvalues.q";
    String MAINVALUES_W = "mainvalues.w";

    String CROSS_SECTION = "cross_section";
    String CROSS_SECTION_WATER_LINE = "cross_section_water_line";

    String HYK           = "hyk";

    String DISCHARGE_CURVE = "discharge_curve.curve";

    String DURATION_W = "duration_curve.w";
    String DURATION_Q = "duration_curve.q";
    String DURATION_MAINVALUES_Q = "duration_curve.mainvalues.q";

    String STATIC_WQ    = "other.wq";
    String STATIC_WQ_ANNOTATIONS = "other.wq.annotations";
    String STATIC_WKMS  = "other.wkms";
    String STATIC_WQKMS = "other.wqkms";
    String STATIC_WQKMS_W = "other.wqkms.w";
    String STATIC_WQKMS_Q = "other.wqkms.q";
    String STATIC_WKMS_INTERPOL = "other.wkms.interpol";

    String HEIGHTMARKS_POINTS = "heightmarks_points";

    String CSV = "csv";
    String WST = "wst";
    String AT  = "at";

    String REPORT = "report";
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
